=== debian/changelog ===
vdr-plugin-epgsearch (1.0.1~beta6+git20150211-4) unstable; urgency=medium

  * Now supporting the /etc/vdr/conf.d  mechanism
  * Standards-Version: 3.9.6

 -- Tobias Grimm <etobi@debian.org>  Mon, 23 Mar 2015 21:55:56 +0100

vdr-plugin-epgsearch (1.0.1~beta6+git20150211-3) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.2.0)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Feb 2015 12:39:44 +0100

vdr-plugin-epgsearch (1.0.1~beta6+git20150211-2) unstable; urgency=medium

  * New Upstream Snapshot (commit a908daa)
  * Build-depend on vdr-dev (>= 2.1.10)

 -- Tobias Grimm <etobi@debian.org>  Thu, 12 Feb 2015 21:23:23 +0100

vdr-plugin-epgsearch (1.0.1~beta3-6) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.0.6)
  * Standards-Version: 3.9.5

 -- Tobias Grimm <etobi@debian.org>  Sun, 26 Oct 2014 14:02:31 +0100
