=== debian/control ===
Source: vdr-plugin-epgsearch
Section: video
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 9), vdr-dev (>= 2.2.0), pkg-config, gettext, pkg-config
Standards-Version: 3.9.6
Homepage: http://winni.vdr-developer.org/epgsearch/
Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-epgsearch.git
Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-epgsearch.git

Package: vdr-plugin-epgsearch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}, sendemail
Description: VDR plugin that provides extensive EPG searching capabilities
 This plugin for the Linux Video Disc Recorder (VDR) allows searching the EPG
 (electronic programme guide) data by defining search terms that can
 permanently be stored in a list for later reuse. It supports regular
 expressions and is capable of doing fuzzy searches. EPG-Search scans the EPG
 in background and can automatically create timers for matching search terms.
 Besides this it supports searching for repetitions, detection of timer
 conflicts, sending emails on timer events and much more. Search terms can
 also be added and modified with vdradmin-am, a web frontend for VDR.
