=== debian/changelog ===
vdr-plugin-epgsearch (2.2.0+git20170817-1) unstable; urgency=medium

  * New Upstream Snapshot (commit f25c390) (Closes: #872485)
  * Build-depend on vdr-dev >= 2.3.8

 -- Tobias Grimm <etobi@debian.org>  Fri, 18 Aug 2017 00:29:29 +0200

vdr-plugin-epgsearch (1.0.1~beta6+git20151104-1) unstable; urgency=medium

  * New upstream snapshot from 
    https://github.com/flensrocker/vdr-plugin-epgsearch
    (commit 99b6e99883d151dae02dd458e2732960872cfd2b)
  * Standards-Version: 3.9.8

 -- Tobias Grimm <etobi@debian.org>  Sun, 08 Jan 2017 10:04:25 +0100
