=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 9), vdr-dev (>= 2.2.0), pkg-config, gettext, pkg-config
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), vdr-dev (>= 2.3.8), pkg-config, gettext, pkg-config
+Standards-Version: 3.9.8
 Homepage: http://winni.vdr-developer.org/epgsearch/
 Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-epgsearch.git
 Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-epgsearch.git
