=== debian/watch ===
version=2
http://winni.vdr-developer.org/epgsearch/downloads/ vdr-epgsearch-(.*)\.tgz
