## vdr-plugin-epgsearch 2.4.0+git20190507

=== debian/changelog ===
vdr-plugin-epgsearch (2.4.0+git20190507-2) unstable; urgency=medium

  * Build-depend on vdr-dev >= 2.4.1

 -- Tobias Grimm <etobi@debian.org>  Thu, 18 Jul 2019 09:42:43 +0200

vdr-plugin-epgsearch (2.4.0+git20190507-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 770de32) (Closes: #916654)
  * Standards-Version: 4.3.0
  * Updated patches
  * Fixed manpages with missing "NAME"

 -- Tobias Grimm <etobi@debian.org>  Sat, 11 May 2019 15:25:46 +0200

vdr-plugin-epgsearch (2.2.0+git20170817-2) unstable; urgency=medium

  * VCS moved to salsa.debian.org
  * Replaced priority extra with optional
  * Build-depend on vdr-dev (>= 2.4.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 15 Apr 2018 19:06:54 +0200
