=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: vdr-plugin-epgsearch
 Section: video
-Priority: extra
+Priority: optional
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 9), vdr-dev (>= 2.3.8), pkg-config, gettext, pkg-config
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9), vdr-dev (>= 2.4.1), pkg-config, gettext, pkg-config
+Standards-Version: 4.3.0
 Homepage: http://winni.vdr-developer.org/epgsearch/
-Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-epgsearch.git
-Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-epgsearch.git
+Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-epgsearch.git
+Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-epgsearch
 
 Package: vdr-plugin-epgsearch
 Architecture: any
