## vdr-plugin-epgsearch 2.4.0+git20191101

=== debian/changelog ===
vdr-plugin-epgsearch (2.4.0+git20191101-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 84811de)
  * Standards-Version: 4.4.1

 -- Tobias Grimm <etobi@debian.org>  Fri, 01 Nov 2019 13:27:17 +0100
