=== debian/changelog ===
vdr-plugin-epgsearch (2.4.1-2) unstable; urgency=medium

  * Build-depend on vdr 2.6.0
  * Remove Thomas Günther and Thomas Schmidt from uploaders

 -- Tobias Grimm <etobi@debian.org>  Wed, 12 Jan 2022 09:10:13 +0100

vdr-plugin-epgsearch (2.4.1-1) unstable; urgency=medium

  * Included git repository in debian/watch to get latest releases
  * New upstream version 2.4.1 (Closes: #958140)
  * Remove 03_fix-docs.patch - fixed upstream
  * Standards-Version: 4.6.0
  * Update debhelper compatibility to 13
  * Convert epg2taste.sh and rememberevent.sh to UTF-8
  * Rename debian/TODO.Debian to debian/TODO
  * Build-depend on vdr-dev >= 2.4.7 (Closes: #984386)

 -- Tobias Grimm <etobi@debian.org>  Sun, 05 Dec 2021 20:31:22 +0100
