=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: video
 Priority: optional
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
-Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 9), vdr-dev (>= 2.4.1), pkg-config, gettext, pkg-config
-Standards-Version: 4.4.1
+Uploaders: Tobias Grimm <etobi@debian.org>
+Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), pkg-config, gettext, pkg-config
+Standards-Version: 4.6.0
 Homepage: http://winni.vdr-developer.org/epgsearch/
 Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-epgsearch.git
 Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-epgsearch
