=== debian/changelog ===
vdr-plugin-epgsearch (2.4.3-2) unstable; urgency=medium

  * unstable rebuild

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 05 Feb 2025 12:00:05 +0100

vdr-plugin-epgsearch (2.4.3-1) experimental; urgency=medium

  * change to github repo in watch file
  * New upstream version 2.4.3
  * build-depend on pkgconf instead of pkg-config
  * add myself to uploaders
  * Standards-Version: 4.7.0

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 29 Jan 2025 21:23:01 +0100
