=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: video
 Priority: optional
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
-Uploaders: Tobias Grimm <etobi@debian.org>
-Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), pkg-config, gettext, pkg-config
-Standards-Version: 4.6.0
+Uploaders: Tobias Grimm <etobi@debian.org>,
+  Christoph Martin <martin@uni-mainz.de>
+Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), pkgconf, gettext
+Standards-Version: 4.7.0
 Homepage: http://winni.vdr-developer.org/epgsearch/
 Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-epgsearch.git
 Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-epgsearch
