=== debian/changelog ===
vdr-plugin-epgsearch (2.4.4-1) unstable; urgency=medium

  * New upstream version 2.4.4
  * change to my debian email

 -- Christoph Martin <chrism@debian.org>  Thu, 30 Oct 2025 20:52:44 +0100
