=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Tobias Grimm <etobi@debian.org>,
-  Christoph Martin <martin@uni-mainz.de>
+  Christoph Martin <chrism@debian.org>
 Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), pkgconf, gettext
 Standards-Version: 4.7.0
 Homepage: http://winni.vdr-developer.org/epgsearch/
